Subject: Offline Message from Jenna Lucille : Could someone please let me know what th
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 01 Jul 2020 22:00:20 -0000

From: Jenna Lucille  <[email-masked]>
Phone: 
Location: Abu Dhabi, United Arab Emirates
URL: https://www.mumzworld.com/en/sales/order/invoice/order_id/1572367/
Department: 

Could someone please let me know what the status of this is? 
I was sent the wrong items 
Items that are not mine or what I ordered 
I called on Saturday and was told a new order was being sent out and that the box of wrong items would be picked up on Sunday 

None of this has transpired 

If I am not going to get the correct items I want a refund 

I am very upset by the quality of customer service and being as this was my first order it's put a sour taste in my mouth. This was to be a birthday present and now that birthday has passed.

Please advise 

----
Zopim
https://www.zopim.com